Module java.compiler
Package javax.lang.model.element

## Interface ModuleElement.OpensDirective

- All Superinterfaces:
    `ModuleElement.Directive`
  Enclosing interface:
    ModuleElement

      public static interface ModuleElement.OpensDirective
      extends ModuleElement.Directive

  An opened package of a module.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PackageElement` | `getPackage​()` | Returns the package being opened.
    `List<? extends ModuleElement>` | `getTargetModules​()` | Returns the specific modules to which the package is being open or null, if the package is open all modules which have readability to this module.

    - ### Methods inherited from interface javax.lang.model.element.ModuleElement.Directive

      `accept, getKind`

- - ### Method Detail

    - #### getPackage

          PackageElement getPackage​()

      Returns the package being opened.
      Returns:
        the package being opened

    - #### getTargetModules

          List<? extends ModuleElement> getTargetModules​()

      Returns the specific modules to which the package is being open or null, if the package is open all modules which have readability to this module.
      Returns:
        the specific modules to which the package is being opened